#!/usr/bin/env bash

# source bash base library
# shellcheck disable=SC1091
source /usr/libexec/bash-base.bash || {
   echo "$0: fatal error: failed to source /usr/libexec/bash-base.bash" >&2
   exit 1
}

function main() {
    local _cmd_file="/var/run/rclogind/cmd"

    echo "$*" > "$_cmd_file" || bb_quit 1 "failed to request command"
}

main "$@"
bb_quit 0
